This section details all the requirements needed to run this solution.

The solution runs on Dataiku  **12 and above** .

# Code Environment

A code environment built on **python 3.8+**  called  **solution_process-mining**  is needed, it contains the following packages that are used in the python functions and the webapp:

>cairosvg==2.5.2
dash==2.9.3
dash_bootstrap_components>=1.0
dash_daq>=0.5
dash_interactive_graphviz>=0.3
dash_table==5.0
Flask-Session==0.4.1
graphviz==0.17
pm4py==2.7.5
pydot==1.4.2

# System Requirement

The open-source graph visualization software [Graphviz](https://graphviz.org/) must be installed on the system.


